#!/bin/sh
# This script is used to build IntelJ3 burner for Linux and Windows platform.
for ARG in "$@"; do
	case "$ARG" in
		--bin=*)
			ARG_PATH=${ARG#*=}
			;;
	esac
done
	
export PATH="$ARG_PATH:/home/cychen/toolchain/mingw/bin:/home/users/cychen/mingw/bin/:$PATH"

# Remove all executable file
rm -f IntelJ3 IntelJ3.exe

# For Windows platform
make clean;make --makefile=Makefile_win
mv ./IntelJ3 ./IntelJ3.exe

# For Linux platform
make clean;make --makefile=Makefile_linux


